### Method

# Gimp ColorTransform process_pixels

#### Declaration [src]

    void
    gimp_color_transform_process_pixels (
      GimpColorTransform* transform,
      const Babl* src_format,
      gconstpointer src_pixels,
      const Babl* dest_format,
      gpointer dest_pixels,
      gsize length
    )

#### Description [src]

This function transforms a contiguous line of pixels.

See gimp_color_transform_new(): only the pixel encoding of `src_format` and `dest_format` is honored, their color spaces are ignored. The transform always takes place between the color spaces determined by `transform`‘s color profiles.

Available since: | 2.10

#### Parameters

`src_format` | `Babl`
| `Babl` format of `src_pixels`.
| The data is owned by the caller of the function.
`src_pixels` | `gconstpointer`
| Pointer to the source pixels.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`dest_format` | `Babl`
| `Babl` format of `dest_pixels`.
| The data is owned by the caller of the function.
`dest_pixels` | `gpointer`
| Pointer to the destination pixels.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`length` | `gsize`
| Number of pixels to process.